### Constructor

# Adw TimedAnimation new

#### Declaration [src]

    AdwAnimation*
    adw_timed_animation_new (
      GtkWidget* widget,
      double from,
      double to,
      guint duration,
      AdwAnimationTarget* target
    )

#### Description [src]

Creates a new `AdwTimedAnimation` on `widget` to animate `target` from `from` to `to`.

Available since: | 1.0

#### Parameters

`widget` | `GtkWidget`
| A widget to create animation on.
| The data is owned by the caller of the function.
`from` | `double`
| A value to animate from.
`to` | `double`
| A value to animate to.
`duration` | `guint`
| A duration for the animation.
`target` | `AdwAnimationTarget`
| A target value to animate.
| The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `AdwAnimation`
| The newly created animation.
| The data is owned by the called function.